Subject: Re: PowerPC Cross Help
From: Brendan Simon <[email-masked]>
To: "J.K. Brown" <[email-masked]>
Cc: [email-masked], CygWin32 <[email-masked]>
Date: Fri, 20 Aug 1999 10:42:46 +1000

"J.K. Brown" wrote:

> > Are you builing on a Cygwin host or are you building on a Linux host
> for a > cygwin-to-linux cross-compiler (ie. Canadian build) ?
>
> I'm trying cygwin right now.  I set the path to the binutilities in the
> cygwin.bat file.  I tried the "export method", and still get the exact
> same error.
>
> > In using EGCS-1.1.2, the make results in the following error:
> >
> > _muldi3
> > as: unrecognized option `-ppc'
> > make[3]: *** [libgcc2.a] Error 1
> > make[2]: *** [stmp-multilib-sub] Error 2
> > make[1]: *** [stmp-multilib] Error 1
> > make: *** [cross] Error 2
>
> Jessica

Mmm.  I've never built on a Cygwin host so I don't know of the specific
problems involved.  You should also mail to the cygwin list for more
expert advise.  I stuck to Linux for speed and knowing I would have less
problems (in theory anyway).

It might be something as simple as a binary mount or text mount setting.
I think it is advisable to have all cygwin mounts as binary.  This reason
is that not all the the GNU tools have been fully ported to cygwin and
they get confused with the linefeed/carriage-return thingy.

Brendan Simon.

--
Want to unsubscribe from this list?
Send a message to [email-masked]